<?php
  define('DSN', 'mysql:host=mysql-compose-cont;port=3306;dbname=prefecture;charset=utf8');
  define('DB_USERNAME', 'root');
  define('DB_PASSWORD', 'password');

  try {
    $_db = new PDO(DSN, DB_USERNAME, DB_PASSWORD);
    $_db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
  } catch(PDOException $e){
    echo $e->getMessage();
    exit;
  } 

  $stmt = $_db->query("SELECT * FROM prefectures ORDER BY id ASC");
  $prefectures = $stmt->fetchAll(PDO::FETCH_ASSOC);
  
  function escape($s){
    return htmlspecialchars($s, ENT_QUOTES, 'UTF-8');
  }
  
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>docker-compose lesson</title>
  </head>
  <body>
    <p>docker-compose lesson</p>
    <ul>
    <?php 
        foreach($prefectures as $prefecture)
        {
            echo "<li>".escape($prefecture['name'])."</li>";
        }
    ?>
    </ul>
  </body>
</html>
